> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reportify.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Follow Group Docs

> Get Docs for a follow group

## 获取关注组文档

**URL**: `/v1/following/groups/{group_id}/docs`\
**方法**: `GET`\
**描述**: 获取关注组的文档列表

### 请求参数

| 参数名       | 类型  | 描述     |
| --------- | --- | ------ |
| group\_id | str | 关注组 ID |

### 查询参数

| 参数名        | 类型  | 描述                         |
| ---------- | --- | -------------------------- |
| page\_num  | int | 页码，默认值为 `1`                |
| page\_size | int | 每页条目数，默认值为 `10`，最大值为 `100` |

### 响应参数

| 参数名          | 类型   | 描述    |
| ------------ | ---- | ----- |
| items        | list | 文档列表  |
| total\_count | int  | 总文档数量 |
| page\_num    | int  | 当前页码  |
| page\_size   | int  | 每页条目数 |

每个文档包含（具体字段根据实际情况而定）：

| 参数名   | 类型  | 描述     |
| ----- | --- | ------ |
| id    | str | 文档 ID  |
| title | str | 文档标题   |
| url   | str | 文档链接   |
| ...   | ... | 其他文档字段 |


## OpenAPI

````yaml GET /v1/following/groups/{group_id}/docs
openapi: 3.1.0
info:
  title: Reportify API
  version: 1.0.0
  description: API documentation for Reportify's document management and search services.
servers:
  - url: https://api.reportify.cn
    description: Production server
security:
  - BearerAuth: []
paths:
  /v1/following/groups/{group_id}/docs:
    get:
      tags:
        - openapi-following-group
      summary: Get Follow Group Docs
      description: Get Docs for a follow group
      operationId: get_follow_group_docs
      parameters:
        - name: group_id
          in: path
          required: true
          schema:
            type: string
            title: Group Id
        - name: page_num
          in: query
          required: false
          schema:
            type: integer
            default: 1
            minimum: 1
            title: Page Num
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            default: 10
            minimum: 1
            maximum: 100
            title: Page Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FollowGroupReportResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    FollowGroupReportResponse:
      type: object
      properties:
        items:
          type: array
          items:
            type: object
            additionalProperties: true
          title: Items
          description: List of reports
        total_count:
          type: integer
          title: Total Count
          description: Total number of reports
        page_num:
          type: integer
          title: Page Num
          description: Page number
        page_size:
          type: integer
          title: Page Size
          description: Page size
      required:
        - items
        - total_count
        - page_num
        - page_size
      title: FollowGroupReportResponse
      description: Response containing follow group reports
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Enter your Bearer token

````